<?php
//  ------------------------------------------------------------------------ //
//                   This module; Copyright (c) 2005 gusagi                  //
//                        <http://good-tea.ddo.jp/dev>                       //
//  ------------------------------------------------------------------------ //

//*****************************************************************************/
// 直接呼び出された場合はexitする
//*****************************************************************************/
if( ! defined( 'XOOPS_ROOT_PATH' ) ) exit ;

if( ! class_exists( 'AnywheresslConfig' ) ) {

	class AnywheresslConfig {

		var $configs = array();

		function AnywheresslConfig() {
			$this->setAwsslConfig();
		}


		function setAwsslConfig() {
			// DBインスタンスの生成
			$xoopsDB =& Database::getInstance();
			// DBから設定情報を取得し、クラス内変数に格納
			$awssl_conf_tbl = $xoopsDB->prefix( 'anywheressl_configs' );
			$sql = "SELECT conf_id, conf_name, conf_value FROM $awssl_conf_tbl";
			$sql .= " ORDER BY conf_id ASC";
			$result = $xoopsDB->query( $sql );
			while( $myrow = $xoopsDB->fetchArray($result) ) {
				$conf_name = $myrow['conf_name'];
				$this->configs[$conf_name] = array(
					'conf_name' => $conf_name,
					'conf_value' => $myrow['conf_value'],
				);
			}
		}


		function getAwsslConfig() {
			return $this->configs;
		}


	// end of class
	}


}

?>